Subject: Re: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-06

From: "Kolomaznik Jan" <[email-masked]>
Date: Wed, 20 Feb 2008 15:46:54 +0100

I am sorry for my late answer. After long time I have found time for the
draft-ietf-sip-fork-loop-fix-06 reading.

I have following notices:
1) Section 3 contains small typo in paragraph under the figure 2. There
is written "If the endpoint and two proxies involved follow RFC 3260
recommendations, the tree ..." - There should be RFC 3261.

2) Section 4.1: The 2nd and 4th paragraph uses different words in the
same meaning - "destination" and "location". My opinion is that it could
be a little misleading. I thing the word "location" is according to RFC
3261 terminology.

3) The draft-ietf-sip-fork-loop-fix-06 shows and describes in detail two
horrible examples when a proxy follows only RFC 3261 recommendations.
Why this document doesn't also show result of recommendations described
by this document? I thing something like following text is very
motivating for implementation of shown recommendations.

When proxies follow recommendation of RFC XXXX, the number of stimulated
messages is reduced to 14 and message tree looks like depicted on Figure
X. In case of simplified attack using twice the same uri with two
different uri parameters, the number of stimulated messages is reduced
to 10.

                                         |
                                        a@P1
                                      /       \
                                    /           \
                                  /               \
                                /                   \
                             a@P2                   b@P2
                             /  \                   /  \
                           /      \               /      \
                          /        \             /        \
                        a@P1       b@P1        a@P1       b@P1
                                   /  \                   /  \
                                a@P2  b@P2             a@P2  b@P2
                                       /\               /\      
                                      /  \             /  \
					     a@P1  b@P1       a@P1  b@P1

Figure X: Attack request propagation when RFC XXXX recommendations
applied

Jan Kolomaznik

-----Original Message-----
From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
Sent: Wednesday, January 30, 2008 8:19 PM
To: DRAGE, Keith (Keith); [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-06

(As WG chair)

There were no comments in response to this WGLC, so I propose to submit
a publish request for it shortly. If it is still on your pending list to
look at, then immediately would be a good time to get round to it.

Regards

Keith 

> -----Original Message-----
> From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
> Sent: Friday, December 07, 2007 7:33 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-06
> 
> (As WG chair)
> 
> This document has a somewhat complicated history, in that we 
> completed it once in the WG and sent it to the IESG, but it 
> came back from them because of concerns over security issues.
> 
> The editor's have now followed the instructions from the 
> previous meeting, i.e. to:
> 
>       Integrated Max-Breadth based on working group discussion of the
>       secdir review
> 
>       Added a paragraph pointing out that removing or modifying other
>       node's branch parameters defeats their ability to loop detect
> 
>       Moved the total number of messages from O(2^70) to O(2^71) based
>       on an observation by Jan Kolomaznik.  To see this, note that the
>       total number of requests is the sum from i=0 to Max-Forwards of
>       2^i which is 2^(Max-Forwards+1) - 1.  The point of the text
>       doesn't change - (the point being that the number is _big_).
> 
>       Made the new 4xx concrete (choosing 440)
> 
>       Added a sentence reinforcing that if you forward to only one
>       branch, you still potentially have a constant multiplier of
>       messages in the network as Max-Forwards runs out (based on
>       feedback from Thomas Cross.)
> 
> These changes are significant enough to justify a revised 
> WGLC, and I would therefore like the working group to review 
> the document and provide comments to the SIP list and authors by 
> 
> 	Friday 21st December 2007. 
> 
> It would be appropriate to concentrate on the text with the 
> changes identified about.
> 
> The document may be found at:
> 
> http://www.ietf.org/internet-drafts/draft-ietf-sip-fork-loop-f
> ix-06.txt
> 
> And the wdiff document may be found at:
> 
> http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url2=http://to
> ols.ietf.o
> rg/id/draft-ietf-sip-fork-loop-fix-06.txt
> 
> [Note that unfortunately this identifies a significant 
> portion of text as new text, when it fact it merely moved.]
> 
> Regards
> 
> Keith
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip 
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip